Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "f426ab64-2bba-4d99-a3a4-2dbf251e1bfa",
"estimated_quantity": 2.0,
"article_id": "868d324f-b556-477b-af32-d28bb1c31e32",
"article_code": "sample string 4",
"article": {
"id": "54126018-8181-48a8-8abb-7f46266f07a4",
"article_category_id": "cf0647fb-1818-4d55-b968-6a19b4b63f18",
"article_category": {
"id": "e7343fde-deb7-4752-a408-823403d983e6",
"parent_id": "dad0dc0a-f690-4908-b1c1-2e6006eeb72b",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "c43dcc0a-ab72-4e56-be1d-f89be1551d8b",
"article_group_1_code": "sample string 5",
"article_group_2_id": "e10eb5ce-f3f0-4a37-94df-a7f6f7cdc910",
"article_group_2_code": "sample string 7",
"article_group_3_id": "64c447ec-abee-4326-ada8-e2fc4bef6925",
"article_group_3_code": "sample string 9",
"article_group_4_id": "0f74cb72-7f14-4aba-b084-c09ccf3fec59",
"article_group_4_code": "sample string 11",
"article_group_5_id": "26e7c736-be81-4649-b5b5-029fc3efed55",
"article_group_5_code": "sample string 13",
"article_group_6_id": "9aafb770-be70-45cc-82a2-ea7691d9e578",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-30T05:06:57.433198+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-30T05:06:57.433198+00:00",
"date_update": "2026-10-30T05:06:57.433198+00:00",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00",
"article_color_id": "f3b0ce65-c6b1-486d-8b75-8655a34ca3dd",
"article_color_code": "sample string 38",
"article_color": {
"id": "f1eb782f-fa0b-4ed9-beb8-f2ade7a5676f",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "5aea21cd-1def-4921-b131-ab3b04b35cc0",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "1846b1ff-43ea-4b26-9e07-e8d753283fd4",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "34422c18-9ae0-44e8-84e6-7a8def86b44d",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "80bd2f7f-839e-4bbe-82e1-233f550b880a",
"_parent_id": "c33f7ae8-8199-4ca6-89ef-15180a877f3f",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "63b5e94f-3d08-4817-8c78-f6efa02b27af",
"project_reference_back_office": "sample string 5",
"project": {
"id": "896b7b58-4094-40c7-bb74-554abe4f3053",
"_parent_id": "aaed9e15-845a-45f4-9602-c002d24154ec",
"root_parent_id": "2d20ef61-7486-45f1-b92c-a84044df0c10",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "61ebb533-04f0-4d57-a127-ab01a77eed9f",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "7bfda643-0a09-4026-835e-c6432d004998",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "de808ff9-9f03-4ef8-8c57-f8d0672b996d",
"_parent_code": "sample string 6",
"sales_organization_id": "45f937ca-5c91-4c1d-9c45-63f5f79a338c",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "b7e33c4b-5181-4357-935a-720f9b8672a6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "af66dab5-71a0-4c84-ab22-70cefd785f59",
"db_currency_id": "aa4def1c-61fc-4d15-901b-c6983a614eb1",
"db_language_id": "b3e4088d-a214-4163-9e9d-0797f00bb55e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"equipment_model_id": "cba34eda-e3d8-4bd2-9d73-59514fcc7932",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "3a1c4050-312b-4899-84b5-7d52ac83be73",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "028fa9fd-2b46-4e71-bde0-b6c0e88c87a0",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "8f878370-e088-4cdc-ba0a-46b4faff77a2",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "83b389b9-c1ae-4a2d-adc0-392990265659",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "b7e33c4b-5181-4357-935a-720f9b8672a6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "af66dab5-71a0-4c84-ab22-70cefd785f59",
"db_currency_id": "aa4def1c-61fc-4d15-901b-c6983a614eb1",
"db_language_id": "b3e4088d-a214-4163-9e9d-0797f00bb55e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"equipment_family_id": "ae6fa423-2e6c-4644-bfe9-04884793004d",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "7bfda643-0a09-4026-835e-c6432d004998",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "de808ff9-9f03-4ef8-8c57-f8d0672b996d",
"_parent_code": "sample string 6",
"sales_organization_id": "45f937ca-5c91-4c1d-9c45-63f5f79a338c",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "b7e33c4b-5181-4357-935a-720f9b8672a6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "af66dab5-71a0-4c84-ab22-70cefd785f59",
"db_currency_id": "aa4def1c-61fc-4d15-901b-c6983a614eb1",
"db_language_id": "b3e4088d-a214-4163-9e9d-0797f00bb55e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"date_in_production_since": "2026-10-30T05:06:57.433198+00:00",
"date_out_of_production_since": "2026-10-30T05:06:57.433198+00:00",
"date_end_support": "2026-10-30T05:06:57.433198+00:00",
"sales_organization_id": "d67a6575-be0e-47cc-83e8-de06ea4e687e",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "b7e33c4b-5181-4357-935a-720f9b8672a6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "af66dab5-71a0-4c84-ab22-70cefd785f59",
"db_currency_id": "aa4def1c-61fc-4d15-901b-c6983a614eb1",
"db_language_id": "b3e4088d-a214-4163-9e9d-0797f00bb55e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"project_status_id": "706b01ab-2e8e-442b-9e4b-90137a8024ba",
"project_status_code": "sample string 10",
"project_status": {
"id": "162f9813-9bcc-469b-acb9-f15d1573d776",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "f6155c37-cff1-4168-9864-923e6e94f0d3",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b7e33c4b-5181-4357-935a-720f9b8672a6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "af66dab5-71a0-4c84-ab22-70cefd785f59",
"db_currency_id": "aa4def1c-61fc-4d15-901b-c6983a614eb1",
"db_language_id": "b3e4088d-a214-4163-9e9d-0797f00bb55e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"company_id": "f4f856e6-308a-4fce-995a-ccfbd0428d5e",
"company_code": "sample string 12",
"db_address_id": "15484fce-76b9-47e1-9246-6e200f562380",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "da76b923-768b-4cc8-a1ae-8659c3c22b0c",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "9f01cb74-63b0-4974-88c2-b70daf3afaf9",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-30T05:06:57.433198+00:00",
"date_create": "2026-10-30T05:06:57.433198+00:00",
"date_update": "2026-10-30T05:06:57.433198+00:00",
"updated_by_user_id": "8fcea28c-5f55-45d1-9e04-8a7d6947ad3c",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-30T05:06:57.433198+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-30T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-30T05:06:57.433198+00:00",
"date_last_job": "2026-10-30T05:06:57.433198+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-30T05:06:57.433198+00:00",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00",
"is_mobile_installation": true
},
"job_type_id": "dbdaac90-dc47-4b41-99b8-57f18409fef3",
"job_type_code": "sample string 7",
"job_type": {
"id": "2d859b76-e90b-4b89-aa37-9f76c80e3c43",
"name": "sample string 2",
"sales_organization_id": "f0a7b0fa-994f-4aab-b5e5-5d9659a4ff98",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00",
"code": "sample string 7"
},
"job_priority_id": "59e57218-f3ac-4998-b9f0-51f6230b9765",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "3df54e25-c984-4286-a7d1-5ed55393bbd0",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "0d67d4d1-2918-46fb-802b-891474049cbe",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b7e33c4b-5181-4357-935a-720f9b8672a6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "af66dab5-71a0-4c84-ab22-70cefd785f59",
"db_currency_id": "aa4def1c-61fc-4d15-901b-c6983a614eb1",
"db_language_id": "b3e4088d-a214-4163-9e9d-0797f00bb55e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"job_status_id": "e0bc1274-9cab-4c9e-b239-18639ec3583f",
"job_status_code": "sample string 11",
"db_address_id": "6132a78a-940d-4484-8c5d-6efea6f8a5cc",
"contact_id": "4e26ccfa-20c6-484b-bce4-a0b4195522fa",
"requested_by_company_id": "5df024ea-5be6-4c6c-9800-b5b1f1dcf215",
"requested_by_contact_id": "acf1d9ea-9928-4852-85ce-e06b85f0cfee",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-30T05:06:57.433198+00:00",
"due_date": "2026-10-30T05:06:57.433198+00:00",
"date_create": "2026-10-30T05:06:57.433198+00:00",
"date_update": "2026-10-30T05:06:57.433198+00:00",
"date_closed": "2026-10-30T05:06:57.433198+00:00",
"suggested_user_id": "ed2868a9-e368-44ec-a30b-e2e5597691bc",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "67551fb2-bd82-497e-9297-928b419eb7e0",
"db_language_id": "106e0b63-4da8-4c8f-aaa5-9163ff8a30be",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-30T05:06:57.433198+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "c1a81b10-39cc-4edf-bedf-b8e608e93239",
"sales_organization": {
"id": "b7e33c4b-5181-4357-935a-720f9b8672a6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "af66dab5-71a0-4c84-ab22-70cefd785f59",
"db_currency_id": "aa4def1c-61fc-4d15-901b-c6983a614eb1",
"db_language_id": "b3e4088d-a214-4163-9e9d-0797f00bb55e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "0d8483d1-c389-4bd2-bb13-6dd5e1cd1769",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "8846cfca-1efa-4e1b-bc77-cb0bba429164",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "b74ca9e8-221c-45a3-b4de-5b51e92ee5b2"
},
"suggested_date_start": "2026-10-30T05:06:57.433198+00:00",
"skill_id": "5b70f312-f598-4e4a-bd9e-46f90e586661",
"skill_code": "sample string 32",
"skill": {
"id": "2923d88d-cb13-4993-8a4a-5691c7986241",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "f5a1ca82-53fd-4c94-9cce-fc5dbecab190",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b7e33c4b-5181-4357-935a-720f9b8672a6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "af66dab5-71a0-4c84-ab22-70cefd785f59",
"db_currency_id": "aa4def1c-61fc-4d15-901b-c6983a614eb1",
"db_language_id": "b3e4088d-a214-4163-9e9d-0797f00bb55e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "88c62f55-7aa1-4e50-aba7-870c7948f3bb",
"date_reported_by_company": "2026-10-30T05:06:57.433198+00:00",
"id2": 36,
"company_id": "d13fbed3-7700-4e48-b2fb-ed5c4480eb16",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "eca29370-0b68-4633-bef8-892ef8a4025e",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-30T05:06:57.433198+00:00"
}